Name:       python-tortilla
Version:    0.5.0
Release:    %mkrel 10
Summary:    Python 2 and 3 compatibility utilities
Group:      Development/Python
License:    MIT
URL:        https://pypi.org/project/tortilla/
Source0:    https://github.com/tortilla/tortilla/archive/v%{version}.tar.gz
BuildArch:  noarch

%description
python-tortilla provides a tiny library for creating wrappers around web APIs
Python 2 and Python 3.

%package -n python3-tortilla
Summary: %{summary} / Python 3 library
Requires:   python3-requests
Requires:   python3-six
Requires:   python3-formats
Requires:   python3-colorclass
BuildRequires:  python3-devel

%description -n python3-tortilla
python-tortilla provides a tiny library for creating wrappers around web APIs
Python 3.

%prep
%setup -q -n tortilla-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files tortilla

%files -n python3-tortilla -f %{pyproject_files}
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.5.0-10.mga10
+ Revision: 2240811
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.5.0-9.mga10
+ Revision: 2157885
- rebuild for python3.13

* Thu Mar 07 2024 papoteur <papoteur> 0.5.0-8.mga10
+ Revision: 2048280
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.5.0-7.mga9
+ Revision: 1823204
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 mrambo3501 <mrambo3501> 0.5.0-6.mga9
+ Revision: 1781558
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.5.0-5.mga9
+ Revision: 1733305
- Rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 0.5.0-4.mga8
+ Revision: 1608314
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 0.5.0-3.mga8
+ Revision: 1532680
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 0.5.0-2.mga8
+ Revision: 1442602
- rebuild for python-3.8
- drop python2 subpkg

* Fri Apr 05 2019 bcornec <bcornec> 0.5.0-1.mga7
+ Revision: 1386033
- Update to upstream python-tortilla 0.5.0

* Tue Jan 08 2019 tv <tv> 0.4.1-6.mga7
+ Revision: 1352062
- rebuild with python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 0.4.1-5.mga7
+ Revision: 1290430
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.4.1-4.mga7
+ Revision: 1135666
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 0.4.1-3.mga6
+ Revision: 971116
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 0.4.1-2.mga6
+ Revision: 889288
- rebuild for python 3.5
- use new python macros

* Sat Aug 22 2015 bcornec <bcornec> 0.4.1-1.mga6
+ Revision: 867992
- update deps for python-tortilla
- adds sha1  for python-tortilla
- update files for python-tortilla
- update deps for python-tortilla
- Created package structure for python-tortilla.

